Index: src/mlx/gui/checklist.py
===================================================================
--- src/mlx/gui/checklist.py	(revision 172)
+++ src/mlx/gui/checklist.py	(revision 172)
@@ -0,0 +1,38 @@
+# Module for editing checklists
+
+#------------------------------------------------------------------------------
+
+from common import *
+
+from mlx.i18n import xstr
+
+#------------------------------------------------------------------------------
+
+class ChecklistEditor(gtk.Dialog):
+    """The dialog to edit the checklists."""
+    def __init__(self, gui):
+        super(ChecklistEditor, self).__init__(WINDOW_TITLE_BASE + " " +
+                                              xstr("chklst_title"),
+                                              gui.mainWindow,
+                                              DIALOG_MODAL)
+
+        self.add_button(xstr("button_cancel"), RESPONSETYPE_REJECT)
+        self.add_button(xstr("button_ok"), RESPONSETYPE_ACCEPT)
+
+        contentArea = self.get_content_area()
+
+
+        self._fileChooser = gtk.FileChooserWidget()
+        self._fileChooser.set_select_multiple(True)
+
+        self._fileChooser.set_current_folder("/home/vi")
+        
+        contentArea.pack_start(self._fileChooser, True, True, 4)
+
+    def run(self):
+        """Run the checklist editor dialog."""
+        self.show_all()
+        response = super(ChecklistEditor, self).run()
+        self.hide()
+
+#------------------------------------------------------------------------------
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 171)
+++ src/mlx/gui/gui.py	(revision 172)
@@ -11,4 +11,5 @@
 from mlx.gui.gates import FleetGateStatus
 from mlx.gui.prefs import Preferences
+from mlx.gui.checklist import ChecklistEditor
 
 import mlx.const as const
@@ -85,4 +86,5 @@
 
         self._preferences = Preferences(self)
+        self._checklistEditor = ChecklistEditor(self)
 
         menuBar = self._buildMenuBar(accelGroup)
@@ -770,5 +772,14 @@
         menuBar.append(toolsMenuItem)
 
-        prefsMenuItem = gtk.ImageMenuItem(gtk.STOCK_PREFERENCES)
+        checklistMenuItem = gtk.ImageMenuItem(gtk.STOCK_PREFERENCES)
+        checklistMenuItem.set_use_stock(True)
+        checklistMenuItem.set_label(xstr("menu_tools_chklst"))
+        checklistMenuItem.add_accelerator("activate", accelGroup,
+                                          ord(xstr("menu_tools_chklst_key")),
+                                          CONTROL_MASK, ACCEL_VISIBLE)
+        checklistMenuItem.connect("activate", self._editChecklist)
+        toolsMenu.append(checklistMenuItem)
+
+        prefsMenuItem = gtk.ImageMenuItem(gtk.STOCK_APPLY)
         prefsMenuItem.set_use_stock(True)
         prefsMenuItem.set_label(xstr("menu_tools_prefs"))
@@ -878,4 +889,8 @@
             self._mainWindow.set_default(None)
 
+    def _editChecklist(self, menuItem):
+        """Callback for editing the checklists."""
+        self._checklistEditor.run()
+        
     def _editPreferences(self, menuItem):
         """Callback for editing the preferences."""
Index: src/mlx/i18n.py
===================================================================
--- src/mlx/i18n.py	(revision 166)
+++ src/mlx/i18n.py	(revision 172)
@@ -142,4 +142,6 @@
 
         self.add("menu_tools", "Tools")
+        self.add("menu_tools_chklst", "_Checklist Editor")
+        self.add("menu_tools_chklst_key", "c")
         self.add("menu_tools_prefs", "_Preferences")
         self.add("menu_tools_prefs_key", "p")
@@ -619,4 +621,6 @@
                  "Select PIREP directory")
 
+        self.add("chklst_title", "Checklist Editor")
+
         self.add("prefs_sounds_frame_bg", "Background")
         self.add("prefs_sounds_enable",
@@ -771,4 +775,6 @@
 
         self.add("menu_tools", "Eszközök")
+        self.add("menu_tools_chklst", "_Ellenörzőlista szerkesztő")
+        self.add("menu_tools_chklst_key", "e")
         self.add("menu_tools_prefs", "_Beállítások")
         self.add("menu_tools_prefs_key", "b")
@@ -1200,4 +1206,6 @@
         self.add("gates_plane_unknown", "ISMERETLEN")
                  
+        self.add("chklst_title", "Ellenörzőlista szerkesztő")
+
         self.add("prefs_title", "Beállítások")
         self.add("prefs_tab_general", "_Általános")
